CorebanqCorebanq Developer Docs
Customersv1Shareholders

Create Shareholder

POST
/v1/customers/{id}/shareholders

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token obtained from /v1/authenticate endpoint

In: header

Path Parameters

id*string

id path parameter

id*string

Customer UUID.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Create a shareholder. entity_name and customer_id are required. entity_id links an existing persona/organization; omit it to create a new entity from the embedded organization (name, uid, legal_form, …) or persona (first_name, last_name, nationality, …) and address (reg_/actual_) fields.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/shareholders" \  -H "Content-Type: application/json" \  -d '{    "entity_name": "individual",    "customer_id": "160c0c4b-9966-4dc1-a916-8407eb10d74e"  }'
{
  "shareholder": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "entity_id": "8161163a-f227-466f-bc01-090a01e80165",
    "entity_name": "individual",
    "stake": 0.1,
    "stake_description": "string",
    "customer_id": "160c0c4b-9966-4dc1-a916-8407eb10d74e",
    "group": "string",
    "active": true,
    "metadata": {},
    "created_at": "2019-08-24T14:15:22Z",
    "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",
    "modified_at": "2019-08-24T14:15:22Z",
    "modified_by": "e8d4374d-93a1-4e98-a6c6-fdcf00c5059f"
  },
  "address": {},
  "entity": {}
}
{
  "status": 400,
  "message": "Bad request"
}
{
  "status": 401,
  "message": "Unauthorized"
}
{
  "status": 403,
  "message": "Forbidden"
}
{
  "status": 404,
  "message": "Not found"
}
{
  "status": 500,
  "message": "Internal server error"
}